//========================================================================================
//
//	File:				FWEmbUtl.h
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWEMBUTL_H
#define FWEMBUTL_H

#ifndef FWPRTDEF_H
#include "FWPrtDef.h"
#endif

//========================================================================================
//	Forward Declarations
//========================================================================================

class ODSession;
class ODContainer;
class FW_CEmbeddingFrame;
class FW_PFileSpecification;

//========================================================================================
//	Global Methods
//========================================================================================

ODContainer* 			FW_AcquireFileContainer(Environment* ev, 
										const FW_PFileSpecification& fileSpec);
										
FW_EInternalizeResult 	FW_InsertPartFromFile(Environment* ev, 
										FW_CEmbeddingFrame* frame, 
										const FW_PFileSpecification& fileSpec);

ODPart* 				FW_ClonePartFromFile(Environment* ev, 
										FW_CEmbeddingFrame* scopeFrame, 
										const FW_PFileSpecification& fileSpec);

#ifdef FW_BUILD_MAC
pascal Boolean			FW_MacInsertFilterProc(CInfoPBPtr pb);
#endif

#endif

