//========================================================================================
//
//	File:				FWCntPrp.h
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWCNTPRP_H
#define FWCNTPRP_H

//========================================================================================
//	Forward Declaration
//========================================================================================

class ODStorageUnit;
class ODDraft;

//========================================================================================
//	class FW_MContainingPropertiesFrame
//========================================================================================

class FW_MContainingPropertiesFrame
{
public:
	FW_DECLARE_CLASS
	FW_DECLARE_AUTO(FW_MContainingPropertiesFrame)
	
	FW_MContainingPropertiesFrame();
	virtual ~FW_MContainingPropertiesFrame();
	
	void			UpdateContainerProperties(Environment* ev);
	ODStorageUnit* 	AcquirePropertiesStorage(Environment* ev, ODDraft* draft);
	virtual void	ExternalizeProperties(Environment* ev, ODStorageUnit* su) = 0;
};

#endif