//========================================================================================
//
//	File:				FWPart.fr
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWPART_FR
#define FWPART_FR

#ifndef FWPART_K
#include "FWPart.k"
#endif

#ifndef FWARCOBJ_FR
#include "FWArcObj.fr"
#endif

#ifndef FWSTRING_FR
#include "FWString.fr"
#endif

#ifndef FWVIEWS_FR
#include "FWViews.fr"
#endif

//========================================================================================
// type FW_RStyledText
//========================================================================================

type FW_RStyledText : FW_RFont
{
	Text:
		FW_RStringData;
};

//========================================================================================
// type FW_RAbout
//========================================================================================

type FW_RAbout(FW_kAboutResourceType)
{
	IconID:
		integer;
	PartName:
		FW_RStyledText;
	Version:
		FW_RStyledText;
	Credits:
		FW_RStyledText;
	ButtonString:
		FW_RStringData;
	ButtonSize:
		FW_RPoint;
};

//========================================================================================
// type FW_RPartInfo
//========================================================================================

type FW_RPartInfo(FW_kPartInfoResourceType)
{
	ViewAsIconID:
		integer;
	MenuBarID:
		integer;
	DocumentWindowID:
		integer;
	PartName:
		FW_RStringData;
	PartKind:
		FW_RStringData;
};

//========================================================================================
// type FW_RDocumentWindow
//========================================================================================

type FW_RDocumentWindow(FW_kDocumentWindowResourceType)
{
	WindowSize:
		FW_RPoint;
	WindowPosition:
		FW_RPoint;
	WindowStyle:
		longint;
	Presentation:
		FW_RStringData;
};

#endif
